<?php

namespace Ulmus\Query;

class Delete extends Fragment {

    public int $order = -100;
    
    public bool $quick = false;
    
    public bool $ignore = false;
    
    public ? int $top = null;
    
    public string $priority;
    
    public function render() : string
    {
        return $this->renderSegments([
            'DELETE',
            ( $this->top ? sprintf('TOP (%s)', $this->top) : false ),
            ( $this->priority ?? false ),
            ( $this->quick ? 'QUICK' : false ),
            ( $this->ignore ? 'IGNORE' : false ),
        ]);
    }
}
