<?php

namespace Ulmus\Query;

class Join extends Fragment {

    const TYPE_LEFT = "LEFT";
    const TYPE_RIGHT = "RIGHT";
    const TYPE_INNER = "INNER";
    const TYPE_FULL = "FULL";
    const TYPE_CROSS = "CROSS";
    const TYPE_NATURAL = "NATURAL";

    public bool $outer = false;
    
    public array $joins = [];

    public function add(string $side, string $table, string $field, $value) 
    {
        $this->joins[] = [
            'side' => $side,
            'table' => $table,
            'field' => $field,
            'value' => $value,
        ];
    }
    
    public function render() : string
    {
        return $this->renderSegments([
            #'JOIN',
            # table,
            # 'ON',
            # WHERE ! ,
        ]);
    }
}
