<?php

namespace Ulmus\Query;

class Offset extends Fragment {

    public int $order = 81;

    protected int $offset = 0;

    public function set($offset) : self
    {
        $this->offset = $offset;
        
        return $this;
    }

    public function render() : string
    {
        if ( $this->offset < 0 ) {
            throw new \Exception("An error occured trying to render the OFFSET fragment ; given value has to be > 0. Received {$this->offset}");
        }
        
        return $this->renderSegments([
            'OFFSET', $this->offset,
        ]);
    }
}
